This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 1272315 - [abrt] webkitgtk4: WebKit::CustomProtocolManagerImpl::didReceiveResponse(): WebKitWebProcess killed by SIGSEGV
[abrt] webkitgtk4: WebKit::CustomProtocolManagerImpl::didReceiveResponse(): W...
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: webkitgtk4 (Show other bugs)
23
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Tomas Popela
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:556476cb5a933a864aa25c0fa8a...
:
: 1294086 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-10-16 00:51 EDT by Diogo Campos
Modified: 2016-03-01 19:07 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-03-01 18:59:44 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (62.94 KB, text/plain)
2015-10-16 00:51 EDT, Diogo Campos
no flags Details
File: cgroup (190 bytes, text/plain)
2015-10-16 00:51 EDT, Diogo Campos
no flags Details
File: core_backtrace (29.49 KB, text/plain)
2015-10-16 00:51 EDT, Diogo Campos
no flags Details
File: dso_list (14.04 KB, text/plain)
2015-10-16 00:52 EDT, Diogo Campos
no flags Details
File: environ (1.95 KB, text/plain)
2015-10-16 00:52 EDT, Diogo Campos
no flags Details
File: exploitable (127 bytes, text/plain)
2015-10-16 00:52 EDT, Diogo Campos
no flags Details
File: limits (1.29 KB, text/plain)
2015-10-16 00:52 EDT, Diogo Campos
no flags Details
File: maps (69.82 KB, text/plain)
2015-10-16 00:52 EDT, Diogo Campos
no flags Details
File: mountinfo (3.32 KB, text/plain)
2015-10-16 00:52 EDT, Diogo Campos
no flags Details
File: open_fds (1.31 KB, text/plain)
2015-10-16 00:52 EDT, Diogo Campos
no flags Details
File: proc_pid_status (1018 bytes, text/plain)
2015-10-16 00:52 EDT, Diogo Campos
no flags Details

  None (edit)
Description Diogo Campos 2015-10-16 00:51:48 EDT
Version-Release number of selected component:
webkitgtk4-2.10.0-1.fc23

Additional info:
reporter:       libreport-2.6.2
backtrace_rating: 4
cmdline:        /usr/libexec/webkit2gtk-4.0/WebKitWebProcess 17
crash_function: WebKit::CustomProtocolManagerImpl::didReceiveResponse
executable:     /usr/libexec/webkit2gtk-4.0/WebKitWebProcess
global_pid:     13775
kernel:         4.2.3-300.fc23.x86_64
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 WebKit::CustomProtocolManagerImpl::didReceiveResponse at /usr/src/debug/webkitgtk-2.10.0/Source/WebKit2/Shared/Network/CustomProtocols/soup/CustomProtocolManagerImpl.cpp:176
 #1 IPC::callMemberFunctionImpl<WebKit::CustomProtocolManager, void (WebKit::CustomProtocolManager::*)(unsigned long, WebCore::ResourceResponse const&, unsigned int), std::tuple<unsigned long, WebCore::ResourceResponse, unsigned int>, 0ul, 1ul, 2ul>(WebKit::CustomProtocolManager*, void (WebKit::CustomProtocolManager::*)(unsigned long, WebCore::ResourceResponse const&, unsigned int), std::tuple<unsigned long, WebCore::ResourceResponse, unsigned int>&&, std::index_sequence<0ul, 1ul, 2ul>) at /usr/src/debug/webkitgtk-2.10.0/Source/WebKit2/Platform/IPC/HandleMessage.h:16
 #2 IPC::callMemberFunction<WebKit::CustomProtocolManager, void (WebKit::CustomProtocolManager::*)(unsigned long, WebCore::ResourceResponse const&, unsigned int), std::tuple<unsigned long, WebCore::ResourceResponse, unsigned int>, std::make_index_sequence<3ul> >(std::tuple<unsigned long, WebCore::ResourceResponse, unsigned int>&&, WebKit::CustomProtocolManager*, void (WebKit::CustomProtocolManager::*)(unsigned long, WebCore::ResourceResponse const&, unsigned int)) at /usr/src/debug/webkitgtk-2.10.0/Source/WebKit2/Platform/IPC/HandleMessage.h:22
 #3 IPC::handleMessage<Messages::CustomProtocolManager::DidReceiveResponse, WebKit::CustomProtocolManager, void (WebKit::CustomProtocolManager::*)(unsigned long, WebCore::ResourceResponse const&, unsigned int)> at /usr/src/debug/webkitgtk-2.10.0/Source/WebKit2/Platform/IPC/HandleMessage.h:92
 #4 WebKit::CustomProtocolManager::didReceiveMessage at /usr/src/debug/webkitgtk-2.10.0/x86_64-redhat-linux-gnu/DerivedSources/WebKit2/CustomProtocolManagerMessageReceiver.cpp:52
 #5 IPC::Connection::dispatchWorkQueueMessageReceiverMessage at /usr/src/debug/webkitgtk-2.10.0/Source/WebKit2/Platform/IPC/Connection.cpp:277
 #6 IPC::Connection::<lambda()>::operator() at /usr/src/debug/webkitgtk-2.10.0/Source/WebKit2/Platform/IPC/Connection.cpp:661
 #7 std::_Function_handler<void(), IPC::Connection::processIncomingMessage(std::unique_ptr<IPC::MessageDecoder>)::<lambda()> >::_M_invoke(const std::_Any_data &) at /usr/include/c++/5.1.1/functional:1871
 #8 std::function<void ()>::operator()() const at /usr/include/c++/5.1.1/functional:2271
 #9 WTF::GMainLoopSource::voidCallback at /usr/src/debug/webkitgtk-2.10.0/Source/WTF/wtf/glib/GMainLoopSource.cpp:365
Comment 1 Diogo Campos 2015-10-16 00:51:54 EDT
Created attachment 1083483 [details]
File: backtrace
Comment 2 Diogo Campos 2015-10-16 00:51:56 EDT
Created attachment 1083484 [details]
File: cgroup
Comment 3 Diogo Campos 2015-10-16 00:51:58 EDT
Created attachment 1083485 [details]
File: core_backtrace
Comment 4 Diogo Campos 2015-10-16 00:52:01 EDT
Created attachment 1083486 [details]
File: dso_list
Comment 5 Diogo Campos 2015-10-16 00:52:02 EDT
Created attachment 1083487 [details]
File: environ
Comment 6 Diogo Campos 2015-10-16 00:52:04 EDT
Created attachment 1083488 [details]
File: exploitable
Comment 7 Diogo Campos 2015-10-16 00:52:06 EDT
Created attachment 1083489 [details]
File: limits
Comment 8 Diogo Campos 2015-10-16 00:52:10 EDT
Created attachment 1083490 [details]
File: maps
Comment 9 Diogo Campos 2015-10-16 00:52:11 EDT
Created attachment 1083491 [details]
File: mountinfo
Comment 10 Diogo Campos 2015-10-16 00:52:13 EDT
Created attachment 1083492 [details]
File: open_fds
Comment 11 Diogo Campos 2015-10-16 00:52:15 EDT
Created attachment 1083493 [details]
File: proc_pid_status
Comment 12 Michael Catanzaro 2016-03-01 18:59:44 EST
FAF says it's probably fixed in 2.10.7, so I'm gonna guess this was another symptom of WebKit #144262.
Comment 13 Michael Catanzaro 2016-03-01 19:07:07 EST
*** Bug 1294086 has been marked as a duplicate of this bug. ***

Note You need to log in before you can comment on or make changes to this bug.